<?php

include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
  $ok=0;
$continua=0;
extract($_POST);
        $busqusr2 = "SELECT tipo_centro from usuarios_ci where idusuarios_ci='$dato[0]'";

   $cons2 = mysql_query($busqusr2) or die ('Err0: '.mysql_error());

   $usr2 = mysql_fetch_object($cons2);

  $tipoc = $usr2->tipo_centro;
	                       
	function regresames($mes){





	   switch($mes) 



				{

					case '01': $mesletra="Enero"; $diaf=31; break;

					case '02': $mesletra="Febrero"; $diaf=28; break;

					case '03': $mesletra="Marzo"; $diaf=31; break;

					case '04': $mesletra="Abril"; $diaf=30; break;

					case '05': $mesletra="Mayo"; $diaf=31; break;

					case '06': $mesletra="Junio"; $diaf=30; break;

					case '07': $mesletra="Julio"; $diaf=31; break;

					case '08': $mesletra="Agosto"; $diaf=31; break;

					case '09': $mesletra="Septiembre"; $diaf=30; break;

					case '10': $mesletra="Octubre"; $diaf=31; break;

					case '11': $mesletra="Noviembre"; $diaf=30; break;

					case '12': $mesletra="Diciembre"; $diaf=31; break;

				}	

	return $mesletra;}


  //Ver si se tienen pedidos de stock pendientes
  $qPP = "SELECT idtransacciones, fechat, centros_idcd,STATUS FROM transacciones JOIN `depositos` ON transacciones.idtransacciones = depositos.transacciones_idtransacciones
WHERE usuarios_ci_idusuarios_ci =$id_cd AND `tipostr_idtipostr` =5 and STATUS!='ENTREGADO'";
$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());

  if(mysql_affected_rows()){
	  echo"<center><br><font color=\"#000099\" size=\"+1\"><b>Solicitudes pendientes de stock</b></font><br><br>";
	  echo "<table border=\"1\"><th>No. Pedido</th><th>Fecha</th><th>Centro</th><th>Status</th><th>Mas Informaci&oacute;n</th>";

while (($objetoPP=mysql_fetch_object($rPP)) )
{
	echo "<tr>
			<td align=\"center\">$objetoPP->idtransacciones</td> <td align=\"center\">$objetoPP->fechat</td>
			<td align=\"center\">$objetoPP->centros_idcd</td><td align=\"center\">$objetoPP->STATUS</td>
			<td align=\"center\"><form name=\"busca\" action=\"agregarstock.php\" method=\"post\"><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Ver pedido\" />
			<input type=hidden name=status value=$objetoPP->STATUS />
			<input type=hidden name=trans value=$objetoPP->idtransacciones />
			<input type=hidden name=centro value=$objetoPP->centros_idcd /></form></td>";
			
			if($objetoPP->STATUS=='PENDIENTE'){
				echo"<td align=\"center\"><form name=\"busca\" action=\"cancelastock.php\" method=\"post\"><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Cancelar pedido\" />
			<input type=hidden name=status value=$objetoPP->STATUS />
			<input type=hidden name=trans value=$objetoPP->idtransacciones />
			<input type=hidden name=centro value=$objetoPP->centros_idcd /></form></td>";}
		 echo" </tr> ";
	  }echo"</table><br><hr>";
  }
 
   //Ver si existen pedidos de stock por aceptar de otro centro
  $qPP = "SELECT idtransacciones, fechat, `usuarios_ci_idusuarios_ci`,STATUS FROM transacciones JOIN `depositos` ON transacciones.idtransacciones = depositos.transacciones_idtransacciones
WHERE centros_idcd =$id_cd AND `tipostr_idtipostr` =5 AND STATUS='PENDIENTE'";
$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());

  if(mysql_affected_rows()){
	  echo"<center><br><font color=\"#660000\" size=\"+1\"><b>Cuentas con solicitudes pendientes de otros centros</b></font><br><br>";
	  echo "<table border=\"1\"><th>No. Pedido</th><th>Fecha</th><th>Centro</th><th>Status</th><th>Mas Informaci&oacute;n</th>";

while (($objetoPP=mysql_fetch_object($rPP)) )
{
	echo "<tr>
			<td align=\"center\">$objetoPP->idtransacciones</td> <td align=\"center\">$objetoPP->fechat</td>
			<td align=\"center\">$objetoPP->usuarios_ci_idusuarios_ci</td><td align=\"center\">$objetoPP->STATUS</td>
			<td align=\"center\"><form name=\"busca\" action=\"aceptarstock.php\" method=\"post\">

			<input type=hidden name=trans value=$objetoPP->idtransacciones />
			<input type=hidden name=centro value=$objetoPP->usuarios_ci_idusuarios_ci /><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Ver pedido\" /></form></td>
			<td align=\"center\"><form name=\"busca\" action=\"cancelastock.php\" method=\"post\">

			<input type=hidden name=trans value=$objetoPP->idtransacciones />
			<input type=hidden name=centro value=$objetoPP->usuarios_ci_idusuarios_ci /><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Cancelar pedido\" /></form></td>
		  </tr> ";
	  }echo"</table><br><hr>";
  } 
  
  
extract($_POST);

$qCuenta = "SELECT COUNT(id_prod) FROM productos";

	  $cCuenta = mysql_query($qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysql_error());

	  while($rCuenta = mysql_fetch_row($cCuenta))

	  {

	      $cuenta = $rCuenta[0]; // Cantidad de Productos para el contador.

	   };


if(@$lista2!="Continuar"){	
	 
 
		 $q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci";

	   $consultada1 = mysql_query($q1) or die ('Error (Registro No Encontrado): ' . mysql_error());	
			
			if($id_cd==1 || $id_cd==13 || $id_cd==7){	
				echo"<center><br><font size=\"5\"><b>Pedidos de Stock</b></font>";
			echo"<br><br>Selecciona el Centro que solicita producto<form name=\"Selec_Prod_Pedido\" action=\"pedidostock.php\" method=\"post\"><select name = \"listacd\">";

							while ($datos = mysql_fetch_array($consultada1))

							{
if($datos[0]!=$id_cd){
									echo "<option value=\"".$datos[0]."\">".$datos[0]."---".$datos[1]."</option>\n";}

							

							}

echo"</select><br><br>";


echo"Centro de Entrega<br>

					<select name = \"centro\">
			<option value=\"12\">12 --- Almacen General</option>
			<option value=\"8\">8 --- Almacen GDL</option>";
			if($id_cd==1 || $id_cd==13){echo"<option value=\"1\">1 --- Miguel Espinosa</option>";}
			echo"</select>





<br><br>
							<input type=\"submit\" value=\"Continuar\" name=\"lista2\">";
							
							}	
			
						if($id_cd==12 || $id_cd==1){	
							echo"<center><br><font size=\"5\"><b>Ingreso de Producci&oacute;n</b></font>";
			echo"<br><br>Puedes ingresar producciones parciales<br><br><form name=\"Selec_Prod_Pedido\" action=\"produccion1.php\" method=\"post\">
			<input type=hidden name=listacd value=12><input type=\"submit\" value=\"Continuar\" name=\"lista2\">";
							
							}	
			

  		   echo" </form><br><hr><br>";
  		   
  		   echo"<center><br><font size=\"5\"><b>Armado de Kits</b></font>";
  		  $qPP = "select idkit, idprod, descripcion from nombrekits  where 1";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error()); 
  		 echo "
<table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Cant</th>";


if($id_cd==12 || $id_cd==1){	
while (($objetoPP=mysql_fetch_object($rPP)) )

{
$i=$objetoPP->id_prod;
	echo "<tr>
<form name=\"Selec_Prod_Pedido\" action=\"crear_kits.php\" method=\"post\">
	
			<td align=\"center\">$objetoPP->idprod</td> <td align=\"center\">$objetoPP->descripcion</td>
			
			
			
			<td align=\"center\"><input type=\"text\" name=canto size=\"4\" maxlength=\"6\"></td>
<input type=hidden name=idped value=$objetoPP->idkit /><input type=hidden name=nomp value=$objetoPP->descripcion />
		<td><input type=\"submit\" value=\"Crear Kits\" name=\"hacer_pedido\"></td></form>

		  </tr> 

		 ";

   
}
	}
	
	echo"</table><br>";  
  		   
  		   
  		   
  		   
  		   
  		   
  		    echo" <br><hr><br>";
			
			$sql="SELECT rfc,id_inver FROM usuario,inversionista WHERE inversionista.id_inver=usuario.inversionista_id_inver and usuario.idusuario = '".$dato[0]."'";

$result=mysql_query($sql);

$usr=mysql_fetch_object($result);

$id_sesion2=$usr->rfc;

$id_invers=$usr->id_inver;



 $busqusr2 = "SELECT month(curdate())-1 as elmes, year(curdate()) as elano";

   $cons2 = mysql_query($busqusr2) or die ('Err0: '.mysql_error());

   $usr2 = mysql_fetch_object($cons2);

   $mes3 = $usr2->elmes; $ano3 = $usr2->elano; 

    if($mes3==0){$mes3=12; $ano3=$ano3-1;}

   if($mes3>=2){$mes2=$mes3-1; $ano2=$ano3;}else{$mes2=12; $ano2=$ano3-1;}

    if($mes2>=2){$mes1=$mes2-1; $ano1=$ano2;}else{$mes1=12; $ano1=$ano3-1;}

	if($mes1>=2){$mes0=$mes1-1; $ano0=$ano1;}else{$mes0=12; $ano0=$ano2-1;}  

	$mes3l=regresames($mes3);

	$mes2l=regresames($mes2);

	$mes1l=regresames($mes1);
    $mes0l=regresames($mes0);   

    
echo"<br><center><font color=\"#5C3C12\" size=\"+2\">Historial de Pedidos de Stock</font><BR>



<form name=\"Agrega\" action=\"historialstock.php\" method=\"post\">

  <br>

Selecciona un periodo: <select name=\"fecha\">

      <option value=\"$ano3-$mes3-01\">$mes3l $ano3</option>

      <option value=\"$ano2-$mes2-01\">$mes2l $ano2</option>

      <option value=\"$ano1-$mes1-01\">$mes1l $ano1</option>
      
      <option value=\"$ano0-$mes0-01\">$mes0l $ano0</option> 

      </select><br><br>

	  <input type=hidden name=iddist value=$id_invers>

	  <input type=hidden name=mesnum1 value=$mes1>

	  <input type=hidden name=mesnum2 value=$mes2>

	  <input type=hidden name=mesnum3 value=$mes3>

	  <input type=hidden name=anonum1 value=$ano1>

	  <input type=hidden name=anonum2 value=$ano2>

	  <input type=hidden name=anonum3 value=$ano3>
             <input type=hidden name=mesnum0 value=$mes0>

      <input type=hidden name=anonum0 value=$ano0>
	  

	  <table>

	  <tr><td><input type=\"submit\" name=\"lista1\" id=\"aceptar\" value=\"Continuar\" /></td>

	</tr>

</table></form>

<br><br><hr>";
			
			
			
			
			
			
							 }
			else
		
		{
			 
			 
			 
			 
			 $qp3 = "select nombre from usuarios_ci where idusuarios_ci=$centro";
   $cp3 = mysql_query($qp3) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$usuario = $rp3->nombre;
			
$qp31 = "select nombre from usuarios_ci where idusuarios_ci=$listacd";
   $cp31 = mysql_query($qp31) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp31 = mysql_fetch_object($cp31);	
	$usuarioi = $rp31->nombre;			
			
			
			
			echo"<center><br>Se solicitar&aacute; producto al siguiente centro:<br><br>		";
		
		echo"<form name=\"Selec_Prod_Pedido\" action=\"pedidostock2.php\" method=\"post\"><table border=\"1\">
		<tr><td align=\"center\">Centro a recibir</td><td><b>$listacd $usuarioi</b></td></tr>
		<tr><td>Almacen de salida</td><td><b>$centro $usuario</b></td></tr>
		</table>";
			 
		/*	 if($listacd==12 or $listacd==8 or $listacd==1 or $listacd==17){ }else{
				$q2 = "select sum(cant), nombreprod, id_prod from productos left join pedido on (productos.id_prod=pedido.productos_idprod) left join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones)  where (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and usuarios_ci_idusuarios_ci='".$listacd."' and fechat >= NOW() - INTERVAL 2 MONTH group by productos_idprod order by productos_idprod";
			 }/*/
$q2 = "SELECT cantidad, nombreProd, id_prod FROM productos join stock on productos.id_prod=stock.idprod where idcd=$listacd order by nombreProd";

	  $cd = mysql_query($q2) or die ('Error (Registro No Encontrado (Generaciones de Tabla)): ' . mysql_error());
			
			
			
			
			
			
			
			echo"<br><br>Favor de seleccionar los productos a dar salida<br>
    
 <TABLE Border=1 CellPadding=5>

			<TR>";

				echo "

				<th>Id.</center></th>

				<th>Producto</th>

				<th>Existencias CD</th><th>Ex. Almacen</th><th>A enviar</th>

			</TR>";




			echo "";

			$i = 0;

			while($renglon = mysql_fetch_row($cd))

			{
				
			$mc1="select cantidad from stock where idcd='$centro' and idprod='$renglon[2]'";
    $mh1=mysql_query($mc1) or die("Error 0: ".mysql_error());
    
  if(mysql_affected_rows()){ 
  $mq1=mysql_fetch_object($mh1);
  $stock=$mq1->cantidad;
  }	

				echo"<tr>";

				echo "<td>".$renglon[2]."</td>";

				echo "<input type=hidden name=copia_id_prod$i value=$renglon[2]>";

				echo "<td>".$renglon[1]."</td>";

				echo "<input type=hidden name=copia_nombreProd$i value=$renglon[1]>";

				echo "<td>".$renglon[0]."</td><input type=hidden name=existencia$i value=$renglon[0]>";

		
				echo "<td>$stock</td><input type=hidden name=existencia$i value=$renglon[0]>";



				echo "<td><input type=\"text\" name=cant$i size=\"5\" maxlength=\"5\"></td>";

								$i++;

				echo"</tr>";

			};

				

			echo "</table><br>	
<input type=hidden name=centroi value=$listacd><input type=hidden name=centroe value=$centro>

			<input type=\"submit\" value=\"Continuar\" name=\"lista2\">
			

  		    </form>";
			
		}
?>



